package com.ruoyi.web.modules.goods.mapper;

import org.apache.ibatis.annotations.Param;
import com.ruoyi.web.modules.goods.domain.BizGoodsFreight;

/**
 * 商品快递运费 Mapper
 */
public interface BizGoodsFreightMapper
{
    BizGoodsFreight selectByGoodsId(@Param("goodsId") Long goodsId);

    int countByFreightTemplateId(@Param("templateId") Long templateId);

    int insert(BizGoodsFreight freight);

    int update(BizGoodsFreight freight);

    int deleteByGoodsId(@Param("goodsId") Long goodsId);
}
